:root  {
   
  --color-body: #f7f7f7;
  --color-text: rgb(135, 135, 135);
  --color-border: rgb(217, 217, 217);
  --color-border-dark: rgb(170, 170, 170);
  --color-light-background:rgb(251 251 251);
  --color-dark-background:rgb(241 241 241);
  --color-selection: rgb(240, 240, 240);
  --color-red:rgb(149 11 11);
}

*{
    box-sizing: border-box;
}

html{
    
    background-color: var(--color-body);
}

body{
    font-size:0.9em;    
}

main {
  
  color: var(--color-text);
  padding-top:50px;
  padding-bottom:150px;  
  margin:auto;
  max-width:80%
}

a{
       
  color: #5ec1db;
  text-decoration:none;
}

a:hover{
    
    color:#79e2ff
}

input[type=checkbox], input[type=radio]{
    
    margin-left:0px;
    margin-right:10px;
}

button{
    
    background-color: #efefef;
    color: #343434;
    padding: 10px 35px;
    border-radius: 5px;
    border: 1px solid var(--color-border);
    cursor:pointer;
}

button:active{
      
    border: 1px solid var(--color-border-dark);   
}

input, select{
    
    padding:10px;
    font-size:1.2em;
    border-radius:5px;
    border:1px solid var(--color-border);
}

h3{
    
    margin-top:40px;
}

h4{
    
    margin-top:40px;
}

.clickable{
    
    cursor:pointer;
}

.flex{ display:flex }

#error{
    
    background-color: #ffb3b3;
    color: #990303;
    padding: 8px;
    margin-top: 15px;
    width: fit-content;
}

select{
    
    font-size:1.2em;
    padding:10px;
}

section{
    
    margin-top:60px;
}

label{
    
    display:block;
    margin-top:5px;
}

table{
    
    border-collapse: collapse;
}

th{
    
    background:var(--color-dark-background);
    text-align:left;
    padding:15px 10px;
    border:1px solid rgb(230 230 230);
    border-width: 0px 1px;
}

td{
    
    background:var(--color-light-background);
    padding:15px 10px;
    border: 1px solid var(--color-border);
    border-width:1px 0px 0px 0px
}

textarea{
    
    padding:10px;
}

#footer{
    
    margin-top: 80px;
    background: white;
    padding: 15px;
    border: 1px solid #f1f1f1;
    border-radius: 10px;
    
    p{
        
        margin-top:0px;
        font-weight:bold;
        color:#075f95;  
    }
    
    .buttons{
               
        display: flex;
        gap: 20px;
        align-content: space-around;
        align-items: center;
        
    }
    
    .save-button{
            
        background: #aee8ff;
        border: 1px solid #5cbed3;
        color: #075f95;
        font-weight: bold;
        position:relative;
    }
    
    .save-button:hover{
    
        background:#c7efff
    }
    
    .save-button:active{
    
        top:1px;
    }
    
    .message{
        
        font-weight:bold;
        color:#075f95;        
    }
    
    .message-sep{
        
        margin-bottom:20px;
        padding-left:2px;
    }
   
    .action-succeed{
    
        background: #dfefff;
        border-radius: 5px;
        padding: 20px;
        margin-bottom: 20px;
        color: #1179a3;
    }
}



.remove{
                                
    border: 1px solid var(--color-border);
    border-radius: 5px;
    padding: 3px;
    font-size: 0.8em;
    cursor: pointer;
    transition: border-color 500ms, color 150ms;
    height: 22px;
    background:white;
    font-weight:normal;
    text-transform: uppercase;
    width:fit-content
}

.remove:hover{

    border-color: var(--color-red);
    color: var(--color-red);
    background: #fff1f1;
}

#missing-fields{
    
    margin-top:30px;
    
    ul{ padding-left:20px; }
}